Subject: bug#64073: closed (Re: bug#64073: libvirtd requires restart to function)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Jul 2023 19:49:02 +0000

Your bug report

#64073: libvirtd requires restart to function

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64073: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64073
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64073: libvirtd requires restart to function
From: Josselin Poiret <[email-masked]>
To: Christian Miller <[email-masked]>, [email-masked]
Date: Fri, 07 Jul 2023 21:48:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christian,

Josselin Poiret <[email-masked]> writes:

> Great!  Thanks for going the extra mile testing this, I didn't know how
> familiar you were with the Guix development process.  We could also
> advertise the simpler `guix time-machine` with the branches from [1],
> although processing the new patch is not instantaneous (and I don't
> think bug reports are scanned for patches).
>
> In any case, I'll try to push it ASAP with some other changes!

Pushed as 612399df3edcbe4d1b1da784bd23440398d27454, closing.

Best,
-- 
Josselin Poiret

Subject: libvirtd requires restart to function
From: Christian Miller <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 14 Jun 2023 22:40:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently libvirtd does not work without running "sudo herd restart libvirtd". Upon starting virt-manager I can't connect to the socket but if I restart libvirtd it works fine.

I tested the 1.4.0 image in a VM and there is no issue. After that I did a guix pull and reconfigured the system and I have the same issue again in the VM.